List subscriptions

This endpoint returns subscriptions that match the specified criteria (transactionId, paymentMethodId, externalId, customerId or offerId and customerId together). Please bear in mind that if you don't provide any parameters, an empty list will be returned.

Note: Filtering by customerId and offerId might return multiple active subscriptions instead of one if multiple subscriptions have been created for the same offer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Note

If a transactionId parameter is provided, search by paymentMethodId, externalId, customerId or offerId and customerId together is ignored because transactionId always takes precedence over the other parameters.

  • Default page limit: 20 results per request are returned.
  • Header X-Total-Count will show the total number of results for the provided query parameters.
  • The following subscription resource properties are deprecated: id, userId and paymentGateway.

Response format is the same as in Create subscription endpoint.

Query Params
int32

Customer identifier at Cleeng.

string

The external identifier of a subscription.

int32

Defines the number of results in each API response. Default is 20, allowed values 1-100.

string

The identifier of Cleeng offer. If you want to use this parameter for search, you have to provide customerId, too.

int32

From which element you want to get results - defines the number of first results that are skipped.

int32

The identifier of the payment method, provided by Cleeng.

status[]
array of strings

Filters response by subscription status. Allowed values: active, stopped, terminated. Multiple values may be used.
Example:
/3.1/subscriptions?status[]=active&status[]=stopped
/3.1/subscriptions?status[]=active

status[]
string

A unique identifier of a transaction (e.g. T123456789).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json